<div class="titleDialog">
  <mat-icon style="margin: 0%; text-align: center; display: inline;color: white;">insert_invitation</mat-icon>
  <p>สร้างห้อง</p>
</div>
<div class="areaBank">
  <div>ชื่อรายการ (ต้องระบุ)</div>
  <form class="example-form" [formGroup]="nameList">
    <mat-form-field class="example-full-width" appearance="outline">
      <input matInput formControlName="name" [(ngModel)]="nameRoom" maxlength="25" cdkFocusInitial>
      <mat-error *ngIf="nameList.get('name').hasError('required')" class="errorInput">
        *กรุณาระบุชื่อรายการ
      </mat-error>

    </mat-form-field>

  </form>
  <div class="pBigDialog">รายละเอียดเพิ่มเติม</div>
  <mat-form-field class="example-full-width" appearance="outline">
    <input matInput [(ngModel)]="detailRoom" maxlength="30">
  </mat-form-field>
  <div class="pBigDialog">กลุ่ม</div>
  <mat-form-field class="example-full-width" appearance="outline">
    <input matInput [(ngModel)]="group" maxlength="20">
  </mat-form-field>
  <div class="pBigDialog">ธีม</div>
  <!-- PICKER -->
  <div class="container">
    <div class="topleft">
      <input type="radio" id="img1" value="1" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img1"><img class="headCard" src="../../assets/img/card-header/card-head-1.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img2" value="2" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img2"><img class="headCard" src="../../assets/img/card-header/card-head-2.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img3" value="3" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img3"><img class="headCard" src="../../assets/img/card-header/card-head-3.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img4" value="4" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img4"><img class="headCard" src="../../assets/img/card-header/card-head-4.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img5" value="5" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img5"><img class="headCard" src="../../assets/img/card-header/card-head-5.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img6" value="6" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img6"><img class="headCard" src="../../assets/img/card-header/card-head-6.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img7" value="7" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img7"><img class="headCard" src="../../assets/img/card-header/card-head-7.png" /></label>
  </div>

  <div class="container">
    <div class="topleft">
      <input type="radio" id="img8" value="8" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img8"><img class="headCard" src="../../assets/img/card-header/card-head-8.png" /></label>
  </div>
  <!-- CUSTOM BG -->
  <div class="container">
    <div class="topleft">
      <input type="radio" id="img9" value="9" [(ngModel)]="picker" (change)="onItemChange()" />
    </div>
    <label for="img9"><img class="box" [(ngModel)]="color" [style.background-color]="getBackgroundColor()"
        name="fieldName" ngDefaultControl /></label>
  </div>
  <!-- RANGE  -->
  <input type="range" min="15" max="360" [(ngModel)]="c" class="slider" id="myRange" (change)="setBackgroundColor()"
    [disabled]="isDisabled" />

  <mat-dialog-actions align="center">
    <button type="cancel" (click)="onNoClick()" style="margin: 1%;">
      ยกเลิก
    </button>
    <button type="delete" (click)="btnConfirm()" cdkFocusInitial>ยืนยัน</button>
  </mat-dialog-actions>
</div>